/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbEntityIdentifierObj extends XbIdentifierObj {

	// エンティティID
	private long entity_id;
	// identifier ID
	private long identifier_id;
	// 並び順
	private long presentation_order;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return entity_id
	 */
	public long getEntity_id() {
		return entity_id;
	}
	/**
	 * @param entity_id 設定する entity_id
	 */
	public void setEntity_id(long entity_id) {
		this.entity_id = entity_id;
	}
	/**
	 * @return identifier_id
	 */
	public long getIdentifier_id() {
		return identifier_id;
	}
	/**
	 * @param identifier_id 設定する identifier_id
	 */
	public void setIdentifier_id(long identifier_id) {
		this.identifier_id = identifier_id;
	}
	/**
	 * @return presentation_order
	 */
	public long getPresentation_order() {
		return presentation_order;
	}
	/**
	 * @param presentation_order 設定する presentation_order
	 */
	public void setPresentation_order(long presentation_order) {
		this.presentation_order = presentation_order;
	}
}